#!/bin/bash
#
# IPFire - hdd shutdown installer.
#
# This code is distributed under the terms of the GPL
#
# 11.05.2006 Arne Fitzenreiter
#

#
#  check if already installed ...
#
if [ -e "/usr/local/bin/hddshutdown" ] ; then
echo
echo Error! hddshutdown is already installed!
echo
else
#
# backup ini files
#
echo Backup ini files ...
mkdir backup-install
cd backup-install
cp /etc/rc.d/rc.sysinit ./
cp /var/spool/cron/root.orig ./
cd ..
#
# copy new files
#
echo Copy hddshutdown ...
cp hddshutdown /usr/local/bin
cp hddshutdown-state /usr/local/bin

#
# activate hddshutdown
#
echo Activate hddshutdown ...
echo "# Added for hddshutdown - begin"                          >> /var/spool/cron/root.orig
echo "00 * * * * 	/usr/local/bin/hddshutdown >/dev/null"  >> /var/spool/cron/root.orig 
echo "# Added for hddshutdown - end"                            >> /var/spool/cron/root.orig

echo "# Added for hddshutdown - begin"         >> /etc/rc.d/rc.sysinit
echo "if [ -e /tmp/hddshutdown-stat ] ; then " >> /etc/rc.d/rc.sysinit
echo "  rm /tmp/hddshutdown-*"                 >> /etc/rc.d/rc.sysinit
echo "fi"                                      >> /etc/rc.d/rc.sysinit
echo "/usr/local/bin/hddshutdown"              >> /etc/rc.d/rc.sysinit
echo "# Added for hddshutdown - end"           >> /etc/rc.d/rc.sysinit

#
# made diff for unistalling
#

echo Prepare uninstaller ...
diff -u  /etc/rc.d/rc.sysinit ./backup-install/rc.sysinit> rc.sysinit.diff
diff -u  /var/spool/cron/root.orig ./backup-install/root.orig> root.orig.diff

echo
echo installed. - hddshutdown will be activated after reboot.
echo
fi
