#!/bin/bash
#
# IPFire - hdd shutdown uninstaller.
#
# This code is distributed under the terms of the GPL
#
# 11.05.2006 Arne Fitzenreiter
#

#  check if installed ...
#
if [ ! -e "/usr/local/bin/hddshutdown" ] ; then
echo
echo Error! hddshutdown is not installed!
echo
else
if [ ! -e "rc.sysinit.diff" ] ; then
echo
echo Error! uninstall information not found!
echo
else
#
# backup files
#
echo Backup files ...
mkdir backup-uninstall
cd backup-uninstall
cp /etc/rc.d/rc.sysinit ./
cp /var/spool/cron/root.orig ./
cp /usr/local/bin/hddshutdown* ./
cd ..

#
# deactivate hddshutdown
#
echo Deactivate hddshutdown ...
patch /etc/rc.d/rc.sysinit < rc.sysinit.diff
patch /var/spool/cron/root.orig < root.orig.diff


#
# remove hddshutdown
#
echo Remove hddshutdown ...
rm /usr/local/bin/hddshutdown
rm /usr/local/bin/hddshutdown-state
rm /tmp/hddshutdown-*

echo
echo Deinstalled.
echo
fi
fi
